{% extends "templates/form.njk" %}
{% from "packages/components/button/macro.njk" import button %}
{% from "macros/hce-summary.njk" import summary %}
{% from "packages/components/warning-callout/macro.njk" import warningCallout %}

{% block formContent %}

  <h1 class="nhsuk-heading-xl">{{ heading }}</h1>

  <div class="hce-telesales-grey-bordered-box">
    <div class="nhsuk-width-container"> 
      {{ warningCallout({
          "heading": warningCalloutHeading,
          "headingLevel": 2,
           "HTML": "<p>" + warningCalloutParagraphOne + "</p>
                    <p> " + warningCalloutParagraphTwo + "</p>"
       }) }}
  
      <div id="applicant-summary">
        <h2 class="nhsuk-heading-l">{{ summaryListHeadings.applicantDetails }}</h2>
        {{ summary({
          rows: applicantDetailsLists
        }) }}
      </div>

      <div id="certificate-summary">
        <h2 class="nhsuk-heading-l">{{ summaryListHeadings.certificateDetails }}</h2>
        {{ summary({
          rows: certificateDetailsLists
        }) }}
      </div>

      <div id="notes-summary">
         <h2 class="nhsuk-heading-l">{{ summaryListHeadings.notesDetails }}</h2>
         {{ summary({
          rows: notesDetailsLists
         }) }}
      </div>

      {{ button({
        text: amendDetailsButtonText,
        href: previous,
        classes: "hce-telesales-blue-button",
        preventDoubleClick: true,
        attributes: {
          id: 'amend-details-button'
        }
      }) }}

      {{ button({
        text: cardPaymentCallButtonText,
        classes: "hce-telesales-blue-button",
        preventDoubleClick: true,
        attributes: {
          id: 'payment-ref-button'
        }
      }) }}

      {{ button({
        text: cancelButtonText,
        href: contextPath,
        classes: "hce-telesales-blue-button",
        preventDoubleClick: true,
        attributes: {
          id: 'cancel-button'
        }
      }) }}
    </div>
  </div>    
{% endblock %}